<?php
defined('BASEPATH') OR exit('No direct script access allowed');
require APPPATH . 'libraries/REST_Controller.php';
require APPPATH . 'libraries/dto/Dto.php';

class Test extends REST_Controller{

  function __construct()
  {
      // Construct the parent class
      parent::__construct();
      $this->load->model('test_model');
  }

  function list_get()
  {
    $data = $this->test_model->list_test();
    $this->response($data, 200);
  }

  function save_post()
  {
    $data = new Dto(['nombre'], $this);
    $id = $this->test_model->list_save($data->getDatapost());
    $message = [
      'id' => $id,
      'message' => 'POST'
    ];

    $this->set_response($message, REST_Controller::HTTP_CREATED); // CREATED (201) being the HTTP response code
  }

  function save_put()
  {
    $data = new Dto(['name', 'email'], $this);
    $out = array(1,2,3);
    $message = [
      'id' => 100, // Automatically generated by the model
      'data' => $data->getDataPut() ,
      'message' => 'PUT'
    ];

    $this->set_response($message, REST_Controller::HTTP_CREATED); // CREATED (201) being the HTTP response code
  }

}
?>
